org.optaplanner.core.impl.domain.solution

## Class AbstractSolution<S extends Score>

- java.lang.Object
- - org.optaplanner.core.impl.domain.solution.AbstractSolution<S>

- Type Parameters:
    `S` - the `Score` type used by this use case
  All Implemented Interfaces:
    Serializable

  Deprecated.
  Use `PlanningSolution.autoDiscoverMemberType()` instead.

      @Deprecated
      public abstract class AbstractSolution<S extends Score>
      extends Object
      implements Serializable

  Only used by OptaPlanner Workbench 6 (but not 7). This class will be removed in 8.0.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected S` | `score` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSolution()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Object>` | `getProblemFactList()` Deprecated.
    `S` | `getScore()` Deprecated.
    `void` | `setScore(S score)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### score

          protected S extends Score score

      Deprecated.

  - ### Constructor Detail

    - #### AbstractSolution

          public AbstractSolution()

      Deprecated.

  - ### Method Detail

    - #### getScore

          public S getScore()

      Deprecated.

    - #### setScore

          public void setScore(S score)

      Deprecated.

    - #### getProblemFactList

          protected List<Object> getProblemFactList()

      Deprecated.
      Returns:
        a list with every problem fact that is in a field of this class (directly or indirectly as an element of a `Collection` or `Map` field)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.